package rozdzial25c;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.shape.ArcType;
import javafx.stage.Stage;

public class Listing25_25b extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage stage) {
        try {
            Group root = new Group();
            Canvas cv = new Canvas(500, 320);
            GraphicsContext gc = cv.getGraphicsContext2D();
            //-
            gc.fillArc(80.0, 80.0, 60.0, 60.0, 0.0, 90.0, ArcType.CHORD);
            gc.fillArc(230.0, 80.0, 60.0, 60.0, 0.0, 90.0, ArcType.OPEN);
            gc.fillArc(380.0, 80.0, 60.0, 60.0, 0.0, 90.0, ArcType.ROUND);
            //-
            gc.fillArc(80.0, 180.0, 60.0, 60.0, 90.0, 270.0, ArcType.CHORD);
            gc.fillArc(230.0, 180.0, 60.0, 60.0, 90.0, 270.0, ArcType.OPEN);
            gc.fillArc(380.0, 180.0, 60.0, 60.0, 90.0, 270.0, ArcType.ROUND);
            //-
            root.getChildren().add(cv);
            Scene scene = new Scene(root);
            stage.setScene(scene);
            stage.setTitle("Metoda fillArc");
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
